List subscription instances
curl --request GET \
--url https://api.wsapi.chat/account/subscriptions/{id}/instances \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/subscriptions/{id}/instances"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/subscriptions/{id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/subscriptions/{id}/instances");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"name": "<string>",
"useCustomDefaults": true,
"status": "<string>",
"deviceId": "<string>",
"expiredAt": "2023-11-07T05:31:56Z",
"trialEndsAt": "2023-11-07T05:31:56Z",
"isInTrial": true,
"hasApiKey": true
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123
}{
"status": 401,
"detail": "unauthorized"
}Account
List subscription instances
Returns instances belonging to a specific subscription.
GET
/
account
/
subscriptions
/
{id}
/
instances
List subscription instances
curl --request GET \
--url https://api.wsapi.chat/account/subscriptions/{id}/instances \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.wsapi.chat/account/subscriptions/{id}/instances"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.wsapi.chat/account/subscriptions/{id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.wsapi.chat/account/subscriptions/{id}/instances");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Api-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"items": [
{
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"name": "<string>",
"useCustomDefaults": true,
"status": "<string>",
"deviceId": "<string>",
"expiredAt": "2023-11-07T05:31:56Z",
"trialEndsAt": "2023-11-07T05:31:56Z",
"isInTrial": true,
"hasApiKey": true
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123
}{
"status": 401,
"detail": "unauthorized"
}Authorizations
Customer API key. Only the customer-level key is accepted for /account/* endpoints. No X-Instance-Id header is required.
Path Parameters
Query Parameters
⌘I